import "core-js/modules/es7.array.includes";
import "core-js/modules/es6.string.includes";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import { PullPop, PopTitle, PopClose, PopSubmit } from './style';
import MultiSelectPull from "./component/multiSelectPull";
import ScrollWrap from './component/scrollWrap';
import ChargeUserSelector from './component/chargeUserSelector';
import { clone } from './utils';

var PullScreen =
/*#__PURE__*/
function (_Component) {
  _inherits(PullScreen, _Component);

  function PullScreen(p) {
    var _this;

    _classCallCheck(this, PullScreen);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(PullScreen).call(this, p));

    _this.onSubmit = function () {
      _this.props.selectFilter(_this.state);

      _this.props.hidePull();
    };

    _this.multiSelect = function (key, opt) {
      var data = _this.state.data;
      data.multiSelectData.map(function (msd) {
        if (msd.key == key) {
          msd.value.map(function (msdv) {
            if (msdv.id == opt.id) {
              msdv.selected = !msdv.selected;
            }
          });
        }
      });

      _this.setState({
        data: data
      });
    };

    _this.handleDeleteUser = function (userId) {
      var userList = _this.state.userList;
      var tempUsers = [];
      userList.map(function (user) {
        if (user.Id != userId) {
          tempUsers.push(user);
        }
      });

      _this.setState({
        userList: tempUsers
      });
    };

    _this.removeRepeateUsers = function (users) {
      var userList = _this.state.userList;
      var tempUsers = users;
      userList.map(function (user) {
        var repeate = false;

        for (var i = 0; i < users.length; i++) {
          if (user.Id == users[i].Id) {
            repeate = true;
          }
        }

        if (!repeate) {
          tempUsers.push(user);
        }
      });
      return tempUsers;
    };

    _this.handleSelectUser = function (data) {
      var userList = _this.state.userList;
      var tempUsers = data;

      if (!!userList.length) {
        tempUsers = _this.removeRepeateUsers(data);
      }

      _this.setState({
        userList: tempUsers
      });
    };

    _this.getStyle = function () {
      var target = _this.props.target;
      var temp = target;

      while (temp && !temp.className.includes('operate-wrap')) {
        temp = temp.parentNode;
      }

      var _temp$getBoundingClie = temp.getBoundingClientRect(),
          width = _temp$getBoundingClie.width; //总体宽度 - （弹窗宽度 - 左右边距）


      return {
        left: width - 252
      };
    };

    var _data = p.data,
        chargeUsers = p.chargeUsers;
    _this.state = {
      data: clone(_data),
      userList: chargeUsers || []
    };
    return _this;
  }

  _createClass(PullScreen, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var hidePull = this.props.hidePull;
      var data = this.state.data;
      return React.createElement(PullPop, {
        style: this.getStyle()
      }, React.createElement(PopTitle, null, " \u7B5B\u9009", React.createElement(PopClose, {
        className: "font-cross-add",
        onClick: hidePull
      })), React.createElement(ScrollWrap, {
        height: "calc(100% - 105px)"
      }, data.multiSelectData.map(function (data, k) {
        return React.createElement(MultiSelectPull, {
          data: data,
          key: "multi-select-".concat(k),
          onClick: _this2.multiSelect
        });
      }), React.createElement(ChargeUserSelector, {
        userList: this.state.userList,
        show: data.showUserCharge,
        handleDeleteUser: this.handleDeleteUser,
        onSelectUser: this.handleSelectUser
      })), React.createElement(PopSubmit, {
        onClick: this.onSubmit
      }, " \u786E\u5B9A "));
    }
  }]);

  return PullScreen;
}(Component);

export { PullScreen as default };